function y = cheby_approx2(x,theta,a,b)

% Chebyshev approximation of order n given a vector theta
% 2-dimmensional

	order = sqrt(length(theta));
	y =0;

	for i = 0:order-1

		y = y+theta(i*order+1:(i+1)*order)...
			 *chebyshev(x(1),0:order-1,a(1),b(1))*chebyshev(x(2),i,a(2),b(2));

	end