function y = integrand(states,theta,n,a,b)

% integrand for galerkin 
	
	order = sqrt(length(theta));
	i1 = floor(n/order);
	i2 = n-floor(n/order)*order;
	y = chebyshev(states(1),i1,a(1),b(1))*chebyshev(states(2),i2,a(2),b(2))...
	    *residual(states,theta,a,b);
