function [x1, x2] = col_points2(a,b,n)

% Collocation points for chebyshev polynomial of order n between a and b
% 2-dimmensional version

	x = cos((2*(n:-1:1)-1)*pi/(2*n));
	
	x1 = (x+1)*(b(1)-a(1))/2+a(1);
	x2 = (x+1)*(b(2)-a(2))/2+a(2);

